%global pypi_name cheroot
%bcond_with docs

Summary:        Highly-optimized, pure-python HTTP server
Name:           python-%{pypi_name}
Version:        10.0.0
Release:        4%{?dist}
License:        BSD
URL:            https://github.com/cherrypy/cheroot
Source0:        %{pypi_source}

BuildArch:      noarch

%description
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%package -n python3-%{pypi_name}
Summary:        Highly-optimized, pure-python HTTP server
BuildRequires:  python3-devel python3-pyOpenSSL python3dist(jaraco-functools) python3dist(jaraco-text)
BuildRequires:  python3dist(portend) python3dist(pytest) python3dist(pytest-mock) python3dist(pytest-forked)
BuildRequires:  python3dist(pytest-rerunfailures) python3dist(requests-toolbelt) python3dist(requests)
BuildRequires:  python3dist(requests-unixsocket) python3dist(setuptools) python3dist(setuptools-scm) python3dist(trustme)
Requires:       python3dist(more-itertools) >= 2.6
Requires:       python3dist(jaraco-functools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Cheroot is the high-performance, pure-Python HTTP server used by CherryPy.

%if %{with docs}
%package -n python-%{pypi_name}-doc
Summary:        cheroot documentation
BuildRequires:  python3dist(sphinx) python3-sphinx-theme-alabaster python3dist(rst-linker)
BuildRequires:  python3dist(jaraco-packaging) python3dist(docutils)

%description -n python-%{pypi_name}-doc
Documentation for cheroot
%endif

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i 's/ --numprocesses=auto//' pytest.ini
sed -i -e /--cov=/d -e '/--cov-report /d' pytest.ini
sed -i '/setuptools_scm_git_archive/d' setup.cfg
sed -i '/pypytools/d' cheroot/test/test_server.py
sed -i "/getfixturevalue('_garbage_bin')/d" cheroot/test/test_server.py
sed -i '/jaraco.context/d' cheroot/test/test_wsgi.py
sed -i '39 i @pytest.mark.skip()' cheroot/test/test_wsgi.py

%build
%py3_build
%if %{with docs}
sphinx-build -vvv docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%check
LANG=C.utf-8 %{__python3} -m pytest --ignore=build -W ignore::DeprecationWarning -p no:unraisableexception

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.rst
%{_bindir}/cheroot
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*egg-info

%if %{with docs}
%files -n python-%{pypi_name}-doc
%license LICENSE.md
%doc html
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.0.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.0.0-3
- Rebuilt for loongarch release

* Fri Mar 08 2024 cunshunxia <cunshunxia@tencent.com> - 10.0.0-2
- remove runtime dependence pyOpenSSL which is only used when test.
- remove six which is not needed anymore.

* Thu Sep 28 2023 Wang Guodong <gordonwwang@tencent.com> - 10.0.0-1
- Upgrade to version 10.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-6
- Rebuilt for python 3.11

* Mon Sep 18 2023 Miaojun Dong <zoedong@tencent.com> - 9.0.0-5
- Rebuild for pyOpenSSL-23.2.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 9.0.0-1
- initial build
